import GameLogic
import socket, OSC

# Get controller and owner
controller = GameLogic.getCurrentController()
owner = controller.owner

ip_dump = 'localhost'
host_dump = 12000
data = ['#bundle', 0.0, ['/blender/x', ',i', 0]]

# Connect Blender only one time
if not owner['connected']:
		
	owner['connected'] = True
	print "Blender Connected"
	
	GameLogic.socket = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
	GameLogic.socket.bind((ip_dump, host_dump))
	GameLogic.socket.setblocking(0)
	GameLogic.socket.settimeout(0.010)
	
	# Set Buffer size
	# GameLogic.socket.setsockopt(level, optname, value)
	GameLogic.socket.setsockopt(socket.SOL_SOCKET, socket.SO_RCVBUF, 1024)

# If Blender connected, get osc
else:
	try:
		data = OSC.decodeOSC(GameLogic.socket.recv(1024))
	except socket.error:
		pass
		
	if data[0] == '/blender/x':
		x = data[2]
		owner.localPosition = [x, 0.0, 0.0]

